Bug 260226 - rectangle with rounded corners does not give a rounded outline()
Summary: rectangle with rounded corners does not give a rounded outline()
Status: RESOLVED FIXED
Alias: None
Product: calligracommon
Classification: Unclassified
Component: flake (show other bugs)
Version: 1.6 or before
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-22 10:32 UTC by Jos van den Oever
Modified: 2012-05-01 05:25 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
document rendered badly (11.18 KB, application/vnd.oasis.opendocument.text)
2010-10-22 10:34 UTC, David Faure
Details
proper rendering of text (2.78 KB, image/png)
2010-10-22 10:34 UTC, David Faure
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2010-12-16 00:29:44 UTC


---- Reported by jos@vandenoever.info 2010-10-22 10:32:54 ----

Version:           svn
OS:                Linux

Setting style:wrap-contour="true" style:wrap-contour-mode="full" on a rectangle to let text flow tightly around it is broken in kword from SVN.



Reproducible: Didn't try

Steps to Reproduce:
Open file in kword. Compare to rendering in OpenOffice (see attachment).

Actual Results:  
Rectangle at wrong position, wrapping not good.

Expected Results:  
See rendered image attached.



---- Additional Comments From jos@vandenoever.info 2010-10-22 10:34:04 ----

Created an attachment
document rendered badly



---- Additional Comments From jos@vandenoever.info 2010-10-22 10:34:37 ----

Created an attachment
proper rendering of text



--- Bug imported by faure@kde.org 2010-12-16 00:32  ---

This bug was previously known as bug 254935.

Imported an attachment (id=54788)
Imported an attachment (id=54789)

The original submitter of attachment 54788 [details] is unknown.
   Reassigning to the person who moved it here: faure@kde.org.
The original submitter of attachment 54789 [details] is unknown.
   Reassigning to the person who moved it here: faure@kde.org.

Comment 1 T Zachmann 2012-04-30 17:35:49 UTC
Git commit 0502a9d5ecf068e5b5f176500e9b7491693f231d by Thorsten Zachmann.
Committed on 30/04/2012 at 19:32.
Pushed by zachmann into branch 'master'.

Load draw:corner-radius correctly

Thr draw:corner-radius can be bigger then the actual shape is wide or high. In that case
make the radius half the width/height.

This fixes the problem that the shape in bug 260226 is shown as big as it should.

The actual problem described in the bug report had already be fixed.

Ok to backport?

M  +2    -2    plugins/pathshapes/rectangle/RectangleShape.cpp

http://commits.kde.org/calligra/0502a9d5ecf068e5b5f176500e9b7491693f231d
Comment 2 T Zachmann 2012-05-01 05:25:49 UTC
Git commit 0bb7043b67947733173c40467ca30d88a7820d97 by Thorsten Zachmann.
Committed on 30/04/2012 at 19:32.
Pushed by zachmann into branch 'calligra/2.4'.

Load draw:corner-radius correctly

Thr draw:corner-radius can be bigger then the actual shape is wide or high. In that case
make the radius half the width/height.

This fixes the problem that the shape in bug 260226 is shown as big as it should.

The actual problem described in the bug report had already be fixed.
Reviewed by: boemann
(cherry picked from commit 0502a9d5ecf068e5b5f176500e9b7491693f231d)

M  +2    -2    plugins/pathshapes/rectangle/RectangleShape.cpp

http://commits.kde.org/calligra/0bb7043b67947733173c40467ca30d88a7820d97